import { Component, createSignal } from 'solid-js';

import SettingsIcon from '@suid/icons-material/Settings';

import style from './SystemDrawer.module.css';
import { Drawer, IconButton, List, ListItem } from '@suid/material';
import Account from '../account';

interface Props {}

const SystemDrawer: Component<Props> = (props) => {
  const [open, setOpen] = createSignal(false);
  return (
    <>
      <div class={style.control}>
        <IconButton onClick={() => setOpen(true)}>
          <SettingsIcon />
        </IconButton>
        <Drawer open={open()} onClose={() => setOpen(false)} anchor='right'>
          <List>
            <ListItem>
              <Account />
            </ListItem>
          </List>
        </Drawer>
      </div>
    </>
  );
};

export default SystemDrawer;
